#pragma once

#include "robbase.h"

//同步对象

class ROBBASE_API CSignal
{
public:
	CSignal(void);
	 ~CSignal(void);

	 BOOL Create(BOOL bInitState, BOOL bAutoReset, int timeout);
	 void Destroy();

	 void Excite();  //产生
	 BOOL Capture(); //获取
	 void Release(); //释放

public:
	 TCHAR  m_strName[ROB_MAX_SYNCOBJ_NAME_LEN];
	 int    m_timeout;
private:
	HANDLE  m_hEvent;
	
};

